#include <stdio.h>
#include <string.h>

#include "aniDoc.h"

#include "glView.h"

CAniDoc::CAniDoc()
{
	m_pScene=NULL;
}


CAniDoc::~CAniDoc()
{
	if (m_pScene)
		delete m_pScene;
}

bool CAniDoc::loadObject(char *objname)
{
	Object* obj=new Object(objname);

	if (!(obj->isLoaded())) {
		delete obj;
		return false;
	}

	Scene *scene = new Scene(obj);
	scene->setDocument(this);

	scene->resetCurveMenu();

	scene->createView();

	m_pScene = scene;

	return true;
}
