//
// define the various GUI functions as externs so that they can be called
// from files other than the one in which the MODEL() macro is invoked.  
//

#ifndef _MODELERGUI_H
#define _MODELERGUI_H

// note that modeler.h defines __MODELER_H__, while modelerdll.h defines
// _MODELER_H.

#ifndef _MODELER_H
#include "modelerdll.h"
#endif

extern lpScaleFunc scale;
extern lpCurveFunc curve;
extern lpCheckboxFunc checkbox;
extern lpMenuFunc menu;
extern lpGetTimeFunc get_time;

extern double get_control_d(int ctrl_id);
extern float get_control_f(int ctrl_id);
extern int get_control_i(int ctrl_id);
extern bool get_control_b(int ctrl_id);

#endif

